%define anolis_release 1

Name:           gdisk
Version:        1.0.9
Release:        %{anolis_release}%{?dist}
Summary:        An fdisk-like partitioning tool for GPT disks

License:        GPLv2
URL:            http://www.rodsbooks.com/gdisk/
Source0:        http://downloads.sourceforge.net/gptfdisk/gptfdisk-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  make
BuildRequires:  libuuid-devel
BuildRequires:  ncurses-devel
BuildRequires:  popt-devel
Requires:       libuuid
Requires:       ncurses-libs

%description
GPT fdisk is a disk partitioning tool loosely modeled on Linux fdisk,
but used for modifying GUID Partition Table (GPT) disks. The related
FixParts utility fixes some common problems on Master Boot Record (MBR)
disks.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n gptfdisk-%{version}

%build
%make_build

%install
for f in gdisk sgdisk cgdisk fixparts ; do
    install -D -p -m 0755 $f %{buildroot}%{_sbindir}/$f
    install -D -p -m 0644 $f.8 %{buildroot}%{_mandir}/man8/$f.8
done

%generate_compatibility_deps

%files
%license COPYING
%dir %{abidir}
%{_sbindir}/*
%{abidir}/*-option.list
%{_mandir}/man8/*

%files doc
%doc NEWS README

%changelog
* Mon Feb 13 2023 Feng Su <sufeng@linux.alibaba.com> - 1.0.9-1
- update to v1.0.9
- add api/abi files

* Thu Sep 29 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.0.8-2
- add doc package

* Fri Mar 11 2022 Su Lifan <su-lifan@linux.alibaba.com> - 1.0.8-1
- Initial packaging for Anolis OS 23
